LinuxQuestions.org
Latest LQ Deal: Complete CCNA, CCNP & Red Hat Certification Training Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 03-26-2014, 01:33 AM   #1
shilpiiitr
LQ Newbie
 
Registered: Jul 2013
Posts: 3

Rep: Reputation: Disabled
fortran compiler in open suse 11


Dear all,
I want to install a software which needs fortran compiler.
I use open suse 11 and I tried to install as

zypper in gcc-fortran

which gave

localhost:~ # zypper in gcc-fortran
Loading repository data...
Reading installed packages...
Resolving package dependencies...

Problem: solvable libquadmath0-4.8.1_20130909-3.2.1.x86_64 conflicts with libquadmath0 provided by itself
Solution 1: do not install gcc-fortran-4.8-2.1.2.x86_64
Solution 2: do not install gcc-fortran-4.8-2.1.2.x86_64

Choose from above solutions by number or cancel [1/2/c] (c):

I have tried many other options nothing worked. Can anyone please help me install fortran compiler in Open Suse11

Thank You

Shilpi
 
Old 03-26-2014, 04:49 AM   #2
Germany_chris
Senior Member
 
Registered: Jun 2011
Location: Stuttgart, Germany
Distribution: Arch
Posts: 1,027

Rep: Reputation: 481Reputation: 481Reputation: 481Reputation: 481Reputation: 481
Did you try deleting libquadmath0
 
Old 03-26-2014, 01:04 PM   #3
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 17,090

Rep: Reputation: 2474Reputation: 2474Reputation: 2474Reputation: 2474Reputation: 2474Reputation: 2474Reputation: 2474Reputation: 2474Reputation: 2474Reputation: 2474Reputation: 2474
ALL!!!! of the old OpenSUSE 11 versions
OpenSUSE 11.1 ,11.2,11.3 ,11.4 are all UNSUPPORTED !!!!


there are no new software
and the old and NOT updated / never to be updated repos are not around any more
and the old opensuse 11 NEVER had gcc 4.8 in the repos

if you added the opensuse 13.1 ODB gcc/dev repo
that will cause conflicts in 11
as in you can not use opensuse 13 rpm's in opensuse 11


now you CAN install the version that was in the old 11
gfortran 4.1

but seeing as 11 has been unsupported for OVER a YEAR

please stay current and install OpenSUSE 13.1
and gcc and gfortran 4.8 are the defaults
 
1 members found this post helpful.
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
fortran compiler for Suse 10.2 dhirendramohanty SUSE / openSUSE 7 07-12-2007 09:10 AM
Does Suse 10 have fortran compiler? ArthurHuang SUSE / openSUSE 3 01-29-2006 06:47 PM
suse 10.0 x86-64 fortran compiler pkuer SUSE / openSUSE 2 11-16-2005 09:30 AM
does linux fortran compiler in fedora 4 support VAX FORTRAN? terrence Programming 17 08-31-2005 08:59 AM
Fortran Compiler in SuSE? Krater47 Linux - Software 4 09-09-2004 12:10 AM


All times are GMT -5. The time now is 02:27 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration